import type { BaseQueryFn, FetchBaseQueryError } from '@reduxjs/toolkit/query';
export type BaseQueryParams = {
    authentication?: {
        headerName: string;
        tokenType: string;
    };
    baseUrl: string;
};
export type BaseQueryFetchParams<Body> = {
    body?: Body;
    headers?: Record<string, string | number | boolean>;
    method?: string;
    params?: any;
    url: string;
};
export type BaseQueryWithRefreshParams = {
    authentication: {
        baseUrl: string;
        clientId: string;
        headerName: string;
        redirectLoginUri: string;
        tokenEndpoint: string;
        tokenType: string;
    };
    baseUrl: string;
};
export declare const baseQuery: <Response_1 = {
    data: unknown;
}, RequestBody = any>({ baseUrl, authentication, }: BaseQueryParams) => BaseQueryFn<BaseQueryFetchParams<RequestBody>, Response_1, FetchBaseQueryError, {}, {}>;
export declare const baseQueryWithRefresh: <Response_1 = {
    data: unknown;
}, RequestBody = any>({ baseUrl, authentication, }: BaseQueryWithRefreshParams) => BaseQueryFn<BaseQueryFetchParams<RequestBody>, Response_1, FetchBaseQueryError, {}, {}>;
